> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Check if a safe is deployed

> Returns a payload that determines if a safe is deployed. Takes in the user's Polymarket proxy address.



## OpenAPI

````yaml openapi/zh/polymarket-relayer.json GET /apis/v1/polymarket/deployed
openapi: 3.1.0
info:
  description: ''
  title: Polymarket Relayer
  version: '1'
  x-aisa-capabilities:
    idempotency: Idempotency-Key
    max_price: X-AISA-Max-Price-USD
    quote:
      header: X-AISA-Cost-Mode
      value: quote
  x-aisa-configured-paths:
    - /apis/v1/polymarket/deployed
    - /apis/v1/polymarket/nonce
    - /apis/v1/polymarket/relay-payload
    - /apis/v1/polymarket/relayer/api/keys
    - /apis/v1/polymarket/submit
    - /apis/v1/polymarket/transaction
    - /apis/v1/polymarket/transactions
  x-aisa-document:
    facts_hash: 4aa318753fd96be7557dff84a8218aab5638e17dbcb96a9d4d1aaac2278117e3
    generator_version: '2'
    protocol_version: '1'
    schema_version: '1'
    composer_version: '13'
    response_pending: []
    document_hash: sha256:874b104f5f45239878bfa90fd0973478c966065a6ec2e5bf6e619c0f5f268fb3
  x-aisa-plans:
    builder: 1
    display_plan: payg
    payg: 1
    similarweb_payg: 1
    team: 1
    version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
  x-aisa-provider: polymarket-relayer
  x-aisa-catalogs:
    polymarket-relayer:
      title: Polymarket Relayer
      description: ''
      x-aisa-document:
        facts_hash: 4aa318753fd96be7557dff84a8218aab5638e17dbcb96a9d4d1aaac2278117e3
        generator_version: '2'
        protocol_version: '1'
        schema_version: '1'
      x-aisa-plans:
        builder: 1
        display_plan: payg
        payg: 1
        similarweb_payg: 1
        team: 1
        version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
      x-aisa-capabilities:
        idempotency: Idempotency-Key
        max_price: X-AISA-Max-Price-USD
        quote:
          header: X-AISA-Cost-Mode
          value: quote
servers:
  - url: https://api.aisa.one
security:
  - bearerAuth: []
paths:
  /apis/v1/polymarket/deployed:
    get:
      tags:
        - default
      summary: Check if a safe is deployed
      description: >-
        Returns a payload that determines if a safe is deployed. Takes in the
        user's Polymarket proxy address.
      operationId: any_polymarket_relayer_apis_v1_polymarket_deployed
      parameters:
        - name: address
          in: query
          required: true
          description: Address of the wallet to check
          schema:
            type: string
            description: Ethereum address (0x-prefixed, 40 hex chars)
            pattern: ^0x[a-fA-F0-9]{40}$
            example: '0x6e0c80c90ea6c15917308F820Eac91Ce2724B5b5'
          example: '0x6d8c4e9aDF5748Af82Dabe2C6225207770d6B4fa'
        - name: type
          in: query
          required: false
          description: Wallet type to check. Defaults to `SAFE` when omitted.
          schema:
            type: string
            enum:
              - SAFE
              - WALLET
            default: SAFE
          example: WALLET
      responses:
        '200':
          description: Deployment status retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response0D96414269Ca_DeployedResponse'
              example:
                deployed: true
        default:
          content:
            application/json:
              schema: {}
          description: >-
            Error response; upstream passthrough responses may use provider
            formats
components:
  schemas:
    Response0D96414269Ca_DeployedResponse:
      type: object
      properties:
        deployed:
          type: boolean
          description: Whether the wallet is deployed
          example: true
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.